Update Sales Staff Assignments

Updates the Company assignments of the Sales Staff account associated with salesStaffId. This operation is non-destructive, meaning that assigning or unassigning a single Company from the Sales Staff does not affect the other assignments.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

salesStaffIdstringRequired

Request

This endpoint expects a list of objects.
companyIdintegerRequired
The unique numeric ID of a Company account.
assignStatusbooleanRequired

Indicates whether the Sales Staff account is being assigned to (true) or unassigned from (false) the Company.

Response

OK
codeintegerDefaults to 200
HTTP response code for the request.
dataobject
Data associated with the response.
metaobject
Metadata associated with the response.

Errors

400
Bad Request Error
422
Unprocessable Entity Error